Subject: Re: bug#50387: Possible bug in Tramp or in completions

From: Gregory Heytings <[email-masked]>
Date: Tue, 07 Sep 2021 19:41:44 +0000

>> I will, when I'm convinced the current situation isn't acceptable. The 
>> current situation (you must type a char in order to see the host name) 
>> is described in the Tramp manual, and I haven't heard complaints about 
>> since ever.
>
> That might be what the manual says
>

And in fact that's not what the manual says.  See (info "(tramp)File name 
completion"):

[After ‘/ssh:’,] typing ‘<TAB>’ shows host names TRAMP extracts from 
‘~/.ssh/config’ file, for example.

        ssh:127.0.0.1:                       ssh:192.168.0.1:
        ssh:[::1]:                           ssh:localhost:
        ssh:melancholia.danann.net:          ssh:melancholia:

Choose a host from the above list and then continue to complete file names 
on that host.